curl --request POST \
--url https://api.qa.sima.ag/api/v3/third_party/devices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"\"{\\n \\\"external_code\\\": \\\"1234568\\\",\\n \\\"is_automatic\\\": true,\\n \\\"name\\\": \\\"Test Device 5\\\",\\n \\\"observation\\\": \\\"Test Device 1 Observation\\\",\\n \\\"coverage_area\\\": 1,\\n \\\"latitude\\\": -34.8839992, \\n \\\"longitude\\\": -60.014592,\\n \\\"geometry\\\": \\\"{\\\\\\\"type\\\\\\\":\\\\\\\"Polygon\\\\\\\",\\\\\\\"coordinates\\\\\\\":[[[-60.089164784458,-34.489185130275], [-60.076832772174,-34.498748477177], [-60.088291169086,-34.508474162058], [-60.092453957477,-34.505291335563], [-60.094685555378,-34.506988858153], [-60.101165772357,-34.501436416286], [-60.089164784458,-34.489185130275]]]}\\\",\\n \\\"table_code_id\\\": 53\\n}\\n\""
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/devices"
payload = "\"{\n \\"external_code\\": \\"1234568\\",\n \\"is_automatic\\": true,\n \\"name\\": \\"Test Device 5\\",\n \\"observation\\": \\"Test Device 1 Observation\\",\n \\"coverage_area\\": 1,\n \\"latitude\\": -34.8839992, \n \\"longitude\\": -60.014592,\n \\"geometry\\": \\"{\\\\"type\\\\":\\\\"Polygon\\\\",\\\\"coordinates\\\\":[[[-60.089164784458,-34.489185130275], [-60.076832772174,-34.498748477177], [-60.088291169086,-34.508474162058], [-60.092453957477,-34.505291335563], [-60.094685555378,-34.506988858153], [-60.101165772357,-34.501436416286], [-60.089164784458,-34.489185130275]]]}\\",\n \\"table_code_id\\": 53\n}\n\""
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': '*/*'
},
body: JSON.stringify('"{\n \"external_code\": \"1234568\",\n \"is_automatic\": true,\n \"name\": \"Test Device 5\",\n \"observation\": \"Test Device 1 Observation\",\n \"coverage_area\": 1,\n \"latitude\": -34.8839992, \n \"longitude\": -60.014592,\n \"geometry\": \"{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[[[-60.089164784458,-34.489185130275], [-60.076832772174,-34.498748477177], [-60.088291169086,-34.508474162058], [-60.092453957477,-34.505291335563], [-60.094685555378,-34.506988858153], [-60.101165772357,-34.501436416286], [-60.089164784458,-34.489185130275]]]}\",\n \"table_code_id\": 53\n}\n"')
};
fetch('https://api.qa.sima.ag/api/v3/third_party/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/devices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('"{\\n \\"external_code\\": \\"1234568\\",\\n \\"is_automatic\\": true,\\n \\"name\\": \\"Test Device 5\\",\\n \\"observation\\": \\"Test Device 1 Observation\\",\\n \\"coverage_area\\": 1,\\n \\"latitude\\": -34.8839992, \\n \\"longitude\\": -60.014592,\\n \\"geometry\\": \\"{\\\\\\"type\\\\\\":\\\\\\"Polygon\\\\\\",\\\\\\"coordinates\\\\\\":[[[-60.089164784458,-34.489185130275], [-60.076832772174,-34.498748477177], [-60.088291169086,-34.508474162058], [-60.092453957477,-34.505291335563], [-60.094685555378,-34.506988858153], [-60.101165772357,-34.501436416286], [-60.089164784458,-34.489185130275]]]}\\",\\n \\"table_code_id\\": 53\\n}\\n"'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 12,
"name": "Test Device 5",
"is_automatic": true,
"external_code": "1234567",
"observation": "Test Device 1 Observation",
"suitable_for_scouting": true,
"coverage_area": 1,
"r1_id": null,
"localization": {
"geometry": "{\"type\":\"Polygon\",\"coordinates\":[[[-60.089164784458,-34.489185130275],[-60.076832772174,-34.498748477177],[-60.088291169086,-34.508474162058],[-60.092453957477,-34.505291335563],[-60.094685555378,-34.506988858153],[-60.101165772357,-34.501436416286],[-60.089164784458,-34.489185130275]]]}",
"latitude": -34.8839992,
"longitude": -60.014592
},
"created_at": "2025-06-13T09:59:22-03:00",
"modified_at": "2025-06-13T09:59:22-03:00",
"deleted_at": null,
"active": true
}{
"error": {
"code": 302,
"message": "El extenal code 1234567 ya existe"
}
}Create
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Body
The body is of type string.
"\"{\\n \\\"external_code\\\": \\\"1234568\\\",\\n \\\"is_automatic\\\": true,\\n \\\"name\\\": \\\"Test Device 5\\\",\\n \\\"observation\\\": \\\"Test Device 1 Observation\\\",\\n \\\"coverage_area\\\": 1,\\n \\\"latitude\\\": -34.8839992, \\n \\\"longitude\\\": -60.014592,\\n \\\"geometry\\\": \\\"{\\\\\\\"type\\\\\\\":\\\\\\\"Polygon\\\\\\\",\\\\\\\"coordinates\\\\\\\":[[[-60.089164784458,-34.489185130275], [-60.076832772174,-34.498748477177], [-60.088291169086,-34.508474162058], [-60.092453957477,-34.505291335563], [-60.094685555378,-34.506988858153], [-60.101165772357,-34.501436416286], [-60.089164784458,-34.489185130275]]]}\\\",\\n \\\"table_code_id\\\": 53\\n}\\n\""
Response
Created
The response is of type object.

